import { createApp } from 'vue'
import { createPinia } from 'pinia'
import router from '@/router'
import App from '@/App.vue'
import useECharts from '@/plugins/echarts'
import bootstrap from '@/bootstrap'
import { setupDirectives } from '@/directives'
import 'virtual:svg-icons-register'
import { ElLoading } from 'element-plus'
import 'element-plus/theme-chalk/el-loading.css'
import '@style/app.scss'

import 'element-plus/theme-chalk/src/message.scss'

const app = createApp(App).use(createPinia()).use(router).use(ElLoading)
setupDirectives(app)
useECharts()

app.mount('#app')

bootstrap()
